<template>
  <content-section>
    <template #heading>
      <h2>{{ heading }}</h2>
    </template>

    <template #summary>
      <div class="markdown summary" v-html="text" />
    </template>

    <template #default>
      <concept-item-grid :items="conceptItems" />
    </template>
  </content-section>
</template>

<script>
import ConceptItemGrid from '~/components/common/ConceptItemGrid';

export default {
  name: 'HomeChooseUsSection',
  components: {
    ConceptItemGrid,
  },
  props: {
    heading: { type: String, default: undefined },
    text: { type: String, default: undefined },
    conceptItems: { type: Array, default: () => [] },
  },
};
</script>
